gr::satellites::u482c_decode_impl Class Reference

`#include <u482c_decode_impl.h>`

Inheritance diagram for gr::satellites::u482c_decode_impl:

## Public Member Functions

| u482c_decode_impl (bool verbose, int viterbi, int scrambler, int rs)
| ~u482c_decode_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::u482c_decode
typedef std::shared_ptr< u482c_decode > | sptr
Static Public Member Functions inherited from gr::satellites::u482c_decode
static sptr | make (bool verbose, int viterbi, int scrambler, int rs)
| Return a shared_ptr to a new instance of satellites::u482c_decode.

## Constructor & Destructor Documentation

## u482c_decode_impl()

gr::satellites::u482c_decode_impl::u482c_decode_impl | ( | bool | verbose,
|  | int | viterbi,
|  | int | scrambler,
|  | int | rs )

## ~u482c_decode_impl()

gr::satellites::u482c_decode_impl::~u482c_decode_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::u482c_decode_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::u482c_decode_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## msg_handler()

void gr::satellites::u482c_decode_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- u482c_decode_impl.h